[devscripts] 01/01: manpage-alert: address symlink created by postinst etc.
Osamu Aoki
osamu at moszumanska.debian.org
Fri Mar 11 12:49:05 UTC 2016
This is an automated email from the git hooks/post-receive script.
osamu pushed a commit to branch master
in repository devscripts.
commit 1823cf36753b0da469d979ec98cb6fa250e4f98a
Author: Osamu Aoki <osamu at debian.org>
Date: Fri Mar 11 20:39:01 2016 +0000
manpage-alert: address symlink created by postinst etc.
---
scripts/manpage-alert.sh | 10 +++++++++-
1 file changed, 9 insertions(+), 1 deletion(-)
diff --git a/scripts/manpage-alert.sh b/scripts/manpage-alert.sh
index dea8950..5e8b3d8 100755
--- a/scripts/manpage-alert.sh
+++ b/scripts/manpage-alert.sh
@@ -48,9 +48,17 @@ EOF
}
showpackage() {
- PKGNAME="$(LANG=C dpkg-query -S "$1" 2> /dev/null || true )"
+ F="$1"
+ PKGNAME="$(LANG=C dpkg-query -S "$F" 2> /dev/null || true )"
+ # symlink may be created by postinst script for alternatives etc.,
+ if [ -z "$PKGNAME" ]; then
+ F=$(readlink -f "$F")
+ PKGNAME="$(LANG=C dpkg-query -S "$F" 2> /dev/null || true )"
+ fi
if [ -n "$PKGNAME" ]; then
echo "$PKGNAME" | sed -e 's/diversion by \(.+\) to:/\1/'
+ else
+ echo "unknown_package: $F"
fi
}
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/collab-maint/devscripts.git
More information about the devscripts-devel
mailing list